rule mapHomologousRegions:
	message: " mapping homologous regions of both references using ISBPs markers as anchors"
	input: closestMarkers=config['results']+'/2.mergedClosestMarkers.txt',
		refQuery=config['queryFasta'],
		faiQuery=config['queryFasta']+'.fai',
		refTarget=config['targetFasta'],
		faiTarget=config['targetFasta']+'.fai',
		markersOnTarget=config['results']+"/1.filteredISBPs.sorted.bed"
	output: directory(config['results']+'/3.mapping')
	log: config['results']+'/3.mapping.log'
	shell: 
		"""
		bin/microMappingPipeline.py {input.closestMarkers} {output} {input.refQuery} {input.refTarget} {input.markersOnTarget} {markersIds} &> {log}
		"""